PUT /_system/entity/domains

Update an existing entity domain (requires setting_manage_domains permission)

Update an existing entity domain (requires setting_manage_domains permission)
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
nameoptionalstring
"production"
New domain name
originalnameoptionalstring
"example"
Current domain name
template_loginoptionalstring
"example"
template_passwordresetoptionalstring
"example"
template_passwordreset_emailoptionalstring
"joe@example.com"
template_securityoptionalstring
"example"
{
  "message": "ok"
}
{
  "error": "ERROR"
}
StatusError CodeDescription
400ERRORDomain name already exists
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
entity_updateRequired scope: entity_update

Back to Entity Management Return to the Entity Management category to view other endpoints All API Categories Browse all available API categories